// SPDX-License-Identifier: BSD-3-Clause
// Copyright (c) 2020-2021, The Monero Project.

#include "updatedialog.h"
#include "ui_updatedialog.h"

#include "config-wowlet.h"

UpdateDialog::UpdateDialog(AppContext *ctx, QWidget *parent) :
        QDialog(parent),
        ctx(ctx),
        ui(new Ui::UpdateDialog) {
    ui->setupUi(this);
    this->setWindowIcon(QIcon("://assets/images/appicons/64x64.png"));

    auto version_str = ctx->versionPending.value("version").toString();

    QPixmap p(":assets/images/pls_update.jpg");
    ui->label_image->setPixmap(p.scaled(420, 420, Qt::KeepAspectRatio, Qt::SmoothTransformation));

    ui->info_label->setText("Current version: " + QString(WOWLET_VERSION_SEMVER) + "\n"
                               "New version: " + version_str);

    ui->label_download->setText("Download: <a href=\"https://git.wownero.com/wowlet/wowlet/releases\">https://git.wownero.com/wowlet/wowlet/releases</a>");
    ui->label_download->setTextInteractionFlags(Qt::TextBrowserInteraction);
    ui->label_download->setOpenExternalLinks(true);
    this->adjustSize();
}

UpdateDialog::~UpdateDialog() {
    delete ui;
}
